curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/triggers/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/triggers/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/triggers/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/triggers/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/triggers/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/triggers/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Lists the alert triggers configured for the load balancer’s underlying node, including each trigger’s type, operator, threshold, severity, and enabled state. The node_id path parameter is the load balancer’s node_detail.node_id. The alert_trigger_id of each entry is used by the Pause / Resume Alert endpoint.
Triggers and List Alert Triggers are the same request.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Path parameter node_id.
Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used to authenticate the request
Example
<API_KEY>Location filter for the trigger query
Example
<LOCATION>Responses
Section titled “Responses”Successful response
object
HTTP status code of the trigger response
object
Indicates whether alerts are enabled by default for the trigger.
object
Unique identifier of the trigger
Unique identifier for the trigger
Unique identifier for the trigger (v2)
Type of trigger that caused the response
Operator used to evaluate the trigger condition
Numeric threshold that activates the trigger
Timestamp of the trigger event as a formatted date-time string.
Identifier of the volume associated with the trigger
Identifier of the alert trigger
Indicates whether the trigger’s alert is enabled
object
Unique identifier for a webcheck
Identifier of the trigger associated with the webcheck.
Indicates whether the webcheck is active.
Name of the webcheck
The web address to be checked.
A required non-empty string value in each webcheck object.
Timestamp of the webcheck event as a formatted string
Zabbix identifier associated with the webcheck
Zabbix identifier for the web check
Human-readable error message for the trigger response
A short status message describing the result of the trigger operation
Example
{ "code": 200, "data": { "alert_default_state": false, "trigger": [ { "id": 123456, "trigger_id": 123456, "trigger_id_v2": 123456, "trigger_type": "load", "trigger_operator": ">", "trigger_threshold": 10, "timestamp": "2025-08-19 06:53 AM", "alert_trigger_id": 123456, "is_alert_enabled": true } ], "webcheck": [ { "webcheck_id": 123, "trigger_id": 123456, "enabled": true, "name": "Webcheck1", "url": "https://myaccount.e2enetworks.com/", "required_string": "E2E Networks", "timestamp": "2025-08-19 06:54 AM", "webcheck_zabbix_id_v2": 73 } ] }, "errors": "", "message": "Monitoring Data retrieved successfully"}